﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WaveJet 322: (1 yr) VER IEEE /5520A+SC600
DATE:                  2010-07-30 10:49:20
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       265
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Procedure Author:
#        VY, DFM
# 
#  Models covered:
#        WJ322
# 
#  Source(s):
#        Chapter 5 - WJ Performance Verification Rev B2.pdf
# 
#        LeCroy WaveJet SERIES Oscilloscope GETTING STARTED MANUAL
#        FEBRUARY 2007, WJ-GS-E Rev B, 914863-00 Rev A
# 
#  Compatibility:
#        MET/CAL 7.20v or later
#
#  Subprocedures:
#        Sub MET/VERsion Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub LeCroy WJ300 Self-Test IEEE
#        Sub LeCroy WJ300 Select Channel IEEE
#        Sub LeCroy WJ300 Peak-Peak Noise Level IEEE
#        Sub LeCroy WJ300 (1 yr) Chan In Impedance IEEE /5520+S6
#        Sub LeCroy WJ300 (1 yr) Ext In Impedance IEEE /5520+S6
#        Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /5520+S6
#        Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /5520+S6
#        Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /5520+S6
#        Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /5520+S6
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Termination, feedthrough, BNC (m) - (f), 50 Ohms
# 
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  13 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5520         200.1MH                      1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V

  1.005  MATH         @ReqMetCalVersion = "7.20v"
  1.006  CALL         Sub MET/VERsion Check

  1.007  IF           NOT(@MetCalVersionOK)
  1.008  DISP         This procedure requires MET/CAL 7.20v or later.
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright
  1.012  CALL         Sub High Voltage Safety Warning
  1.013  CALL         Sub Select Failed Test Mode
  1.014  CALL         Sub Select Verification Method (No NTHROW)

  1.015  HEAD         PRELIMINARY INSTRUCTIONS
  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         20 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  DISP         Ensure that the UUT REMOTE PORT is set for GPIB
  1.017  DISP         operation as follows:
  1.017  DISP
  1.017  DISP         Push UUT front panel UTILITES button, followed by the
  1.017  DISP         "Remote" softkey. Press the "Interface" softkey, then
  1.017  DISP         "GPIB" softkey.
  1.017  DISP
  1.017  DISP         If this workstation is equipped with two GPIB cards,
  1.017  DISP         the address is unimportant, as long as it is not (0)
  1.017  DISP         zero. If only 1 GPIB card is installed, however, the
  1.017  DISP         UUT address must not conflict with those of configured
  1.017  DISP         references.
  1.017  DISP
  1.017  DISP         If necessary, depress the "Address" softkey and set
  1.017  DISP         the UUT address using the ADJUST knob.
  1.017  DISP
  1.017  DISP         Connect a GPIB cable from the appropriate PC IEEE-488
  1.017  DISP         port to the UUT GPIB port.

# Test to ensure MET/CAL initialization file parameter "acc_check" = "yes"
  1.018  IF           ZCMPI(INI("startup", "acc_check"), "no")
  1.019  HEAD         INCORRECT MET/CAL® INITIALIZATION FILE SETTING!
  1.020  DISP         The file parameter setting is: "acc_check=no"
  1.020  DISP
  1.020  DISP         For correct procedure execution, this parameter
  1.020  DISP         MUST be set to: "acc_check=yes"
  1.020  DISP
  1.020  DISP         Select "Advance" to terminate the procedure, exit
  1.020  DISP         MET/CAL®, change the initialization file parameter,
  1.020  DISP         restart MET/CAL, then restart the procedure.
  1.021  END
  1.022  ENDIF

  1.023  IEEE         *CLS;*RST

  1.024  HEAD         UUT IDENTIFICATION
  1.025  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.026  MATH         @UUT_Manufacturer = "LECROY"
  1.027  MATH         @UUT_Model        = "WJ322"
  1.028  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.029  IF           @Abort
  1.030  END
  1.031  ENDIF

  1.032  IF           @FirmwareRev < 3.06
  1.033  DISP         This procedure requires firmware version 3.06 or later.
  1.033  DISP
  1.033  DISP         For firmware upgrades, please visit www.lecroy.com. The
  1.033  DISP         firmware and installation instructions are available
  1.033  DISP         for download.
  1.034  ENDIF

  1.035  HEAD         EQUIPMENT REQUIREMENTS
  1.036  OPBR         -z Do you want to REVIEW the list of additional
  1.036  OPBR         equipment and/or accessories required?

  1.037  IF           MEM1
  1.038  DISP         - 50 Ohm feed through terminator, one set
  1.039  ENDIF

# Set the system confidence level to 95%.
  1.040  MATH         @SysConf   = 2
  1.041  MATH         @DevName   = "Fluke 5520A"
  1.042  MATH         @Bandwidth = 200E+6
  1.043  MATH         @NumChan   = 2

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   CHANNEL INPUT IMPEDANCE(CH1)       PEAK-PEAK NOISE LEVEL
#    3.   CHANNEL INPUT IMPEDANCE(CH2)       EXTERNAL INPUT IMPEDANCE
#    4.   EXTERNAL INPUT IMPEDANCE           CHANNEL INPUT IMPEDANCE(CH1)
#    5.   PEAK-PEAK NOISE LEVEL              DC GAIN ACC(CH1)
#    6.   DC GAIN ACC(CH1)                   OFFSET ACC(CH1)
#    7.   DC GAIN ACC(CH2)                   CHANNEL INPUT IMPEDANCE(CH2)
#    8.   OFFSET ACC(CH1)                    DC GAIN ACC(CH2
#    9.   OFFSET ACC(CH2)                    OFFSET ACC(CH2)
#   10.   BANDWIDTH(CH1)                     BANDWIDTH(CH1))
#   11.   BANDWIDTH(CH2)                     TRIGGER LEVEL(CH1)
#   12.   TRIGGER LEVEL(CH1)                 TIME BASE
#   13.   TRIGGER LEVEL(CH2)                 BANDWIDTH(CH2)

  1.044  CALL         Sub LeCroy WJ300 Self-Test IEEE

  1.045  IF           @Abort
  1.046  END
  1.047  ENDIF

  1.048  JMPL         PEAK_PEAK_NOISE_LEVEL

  1.049  LABEL        CHANNEL_INPUT_IMPEDANCE_CH1
  1.050  MATH         @Chan = 1
  1.051  CALL         Sub LeCroy WJ300 (1 yr) Chan In Impedance IEEE /5520+S6
  1.052  JMPL         DC_GAIN_ACC_CH1

  1.053  LABEL        CHANNEL_INPUT_IMPEDANCE_CH2
  1.054  MATH         @Chan = 2
  1.055  CALL         Sub LeCroy WJ300 (1 yr) Chan In Impedance IEEE /5520+S6
  1.056  JMPL         DC_GAIN_ACC_CH2

  1.057  LABEL        EXT_EXT_INPUT_IMPEDANCE
  1.058  MATH         @Chan = 5
  1.059  CALL         Sub LeCroy WJ300 (1 yr) Ext In Impedance IEEE /5520+S6
  1.060  JMPL         CHANNEL_INPUT_IMPEDANCE_CH1

  1.061  LABEL        PEAK_PEAK_NOISE_LEVEL
  1.062  CALL         Sub LeCroy WJ300 Peak-Peak Noise Level IEEE
  1.063  JMPL         EXT_EXT_INPUT_IMPEDANCE

  1.064  LABEL        DC_GAIN_ACC_CH1
  1.065  MATH         @Chan = 1
  1.066  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /5520+S6
  1.067  JMPL         OFFSET_ACC_CH1

  1.068  LABEL        DC_GAIN_ACC_CH2
  1.069  MATH         @Chan = 2
  1.070  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /5520+S6
  1.071  JMPL         OFFSET_ACC_CH2

  1.072  LABEL        OFFSET_ACC_CH1
  1.073  MATH         @Chan = 1
  1.074  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /5520+S6
  1.075  JMPL         CHANNEL_INPUT_IMPEDANCE_CH2

  1.076  LABEL        OFFSET_ACC_CH2
  1.077  MATH         @Chan = 2
  1.078  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /5520+S6

  1.079  MATH         @Chan = 1
  1.080  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /5520+S6
  1.081  JMPL         TRIGGER_LEVEL_CH1

  1.082  LABEL        BANDWIDTH_CH2
  1.083  MATH         @Chan = 2
  1.084  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /5520+S6
  1.085  JMPL         TRIGGER_LEVEL_CH2

  1.086  LABEL        TRIGGER_LEVEL_CH1
  1.087  MATH         @Chan = 1
  1.088  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /5520+S6
  1.089  JMPL         TIME_BASE

  1.090  LABEL        TRIGGER_LEVEL_CH2
  1.091  MATH         @Chan = 2
  1.092  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /5520+S6
  1.093  JMPL         END

  1.094  LABEL        TIME_BASE
  1.095  MATH         @Chan = 1
  1.096  CALL         Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /5520+S6
  1.097  JMPL         BANDWIDTH_CH2

  1.098  LABEL        END
  1.099  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.100  END
